Skip to content

Black Friday:

60% off

Cliedesk Pro

Every plan, every site count. Ends Cyber Monday.

00 days 00 hrs 00 min 00 sec
Claim 60% off

REST API v1

Audit

Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.

List audit log entries

GET /audit-log

Scope audit:read · Cost 1

Parameters

NameTypeDescription
from query · string
to query · string
actor_type query · string One of: user, ai, rule, api_key, system, customer
actor_id query · integer
action query · string
object_type query · string
object_id query · string
result query · string One of: success, denied, failed
product_id query · string
before query · string
limit query · integer

Check the audit log hash chain

GET /audit-log/verify

Scope audit:read · Cost 1

List read-access log entries

GET /read-access-log

Scope audit:read · Cost 1

Parameters

NameTypeDescription
user_id query · integer
contact_id query · string
object_type query · string One of: conversation, contact, export, protected_field, contact_field, conversation_field
object_id query · integer
from query · string
to query · string
before query · string
limit query · integer